using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace NotepadCSharp
{
	/// <summary>
	/// Summary description for FindForm.
	/// </summary>
	public class FindForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TextBox txtFind;
		private System.Windows.Forms.CheckBox cbMatchWhole;
		private System.Windows.Forms.CheckBox cbMatchCase;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.HelpProvider helpProvider1;
		private System.Windows.Forms.ToolTip toolTip1;
		private System.ComponentModel.IContainer components;
		//  FindText,     
		//       FindForm
		public string FindText
		{
			get{return txtFind.Text;}
			set{txtFind.Text = value;}
		}
		//  ,   FindCondition
		public RichTextBoxFinds FindCondition
		{
			get
			{
				//  
				if (cbMatchCase.Checked && cbMatchWhole.Checked)
				{
					//   MatchCase  WholeWord 
					return RichTextBoxFinds.MatchCase| RichTextBoxFinds.WholeWord;
				}
				//  
				if (cbMatchCase.Checked )
				{
					//   MatchCase
					return RichTextBoxFinds.MatchCase;
				}
				//  
				if (cbMatchWhole.Checked )
				{
					//   WholeWord
					return RichTextBoxFinds.WholeWord;
				}
				//    
				return RichTextBoxFinds.None;
			}
		}

		public FindForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.txtFind = new System.Windows.Forms.TextBox();
			this.cbMatchWhole = new System.Windows.Forms.CheckBox();
			this.cbMatchCase = new System.Windows.Forms.CheckBox();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.helpProvider1 = new System.Windows.Forms.HelpProvider();
			this.toolTip1 = new System.Windows.Forms.ToolTip(this.components);
			this.SuspendLayout();
			// 
			// txtFind
			// 
			this.helpProvider1.SetHelpString(this.txtFind, "   ");
			this.txtFind.Location = new System.Drawing.Point(8, 16);
			this.txtFind.Name = "txtFind";
			this.helpProvider1.SetShowHelp(this.txtFind, true);
			this.txtFind.Size = new System.Drawing.Size(192, 20);
			this.txtFind.TabIndex = 0;
			this.txtFind.Text = "";
			this.toolTip1.SetToolTip(this.txtFind, "  ");
			// 
			// cbMatchWhole
			// 
			this.helpProvider1.SetHelpString(this.cbMatchWhole, "   ");
			this.cbMatchWhole.Location = new System.Drawing.Point(120, 48);
			this.cbMatchWhole.Name = "cbMatchWhole";
			this.helpProvider1.SetShowHelp(this.cbMatchWhole, true);
			this.cbMatchWhole.TabIndex = 3;
			this.cbMatchWhole.Text = "Match &whole word";
			this.toolTip1.SetToolTip(this.cbMatchWhole, "   ");
			// 
			// cbMatchCase
			// 
			this.helpProvider1.SetHelpString(this.cbMatchCase, "   ");
			this.cbMatchCase.Location = new System.Drawing.Point(8, 48);
			this.cbMatchCase.Name = "cbMatchCase";
			this.helpProvider1.SetShowHelp(this.cbMatchCase, true);
			this.cbMatchCase.TabIndex = 2;
			this.cbMatchCase.Text = "Match &Case";
			this.toolTip1.SetToolTip(this.cbMatchCase, "   ");
			// 
			// btnCancel
			// 
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.helpProvider1.SetHelpString(this.btnCancel, " ");
			this.btnCancel.Location = new System.Drawing.Point(232, 48);
			this.btnCancel.Name = "btnCancel";
			this.helpProvider1.SetShowHelp(this.btnCancel, true);
			this.btnCancel.TabIndex = 4;
			this.btnCancel.Text = "&Cancel";
			this.toolTip1.SetToolTip(this.btnCancel, " ");
			// 
			// btnOK
			// 
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.helpProvider1.SetHelpString(this.btnOK, "    ");
			this.btnOK.Location = new System.Drawing.Point(232, 16);
			this.btnOK.Name = "btnOK";
			this.helpProvider1.SetShowHelp(this.btnOK, true);
			this.btnOK.TabIndex = 1;
			this.btnOK.Text = "&OK";
			this.toolTip1.SetToolTip(this.btnOK, " ");
			// 
			// toolTip1
			// 
			this.toolTip1.AutoPopDelay = 5000;
			this.toolTip1.InitialDelay = 500;
			this.toolTip1.ReshowDelay = 100;
			// 
			// FindForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(322, 88);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.Controls.Add(this.cbMatchWhole);
			this.Controls.Add(this.cbMatchCase);
			this.Controls.Add(this.txtFind);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.HelpButton = true;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FindForm";
			this.Text = "Find";
			this.ResumeLayout(false);

		}
		#endregion

	

		
	}
}
